extends layout

block content
    a(href='..') ↵ Back
    h1 Team level management
    form(method='post' action='logout')
        button Log out
    section
        h2 Current ranking
        if points.length > 0
            //todo display leaderboard
            - const pointsSum = points.reduce((a, v) => a + v, 0);
            p.
                You've got <b>#{pointsSum}</b> points
                (avg: <code>#{pointsSum / points.length}</code>)
        else
            p.
                You haven't got any points yet. Get some by submitting and then deploying code!
        if deploymentsInProgress.length > 0
            div
                //fixme don't use inline style
                span(style='color: red') Warning! Ranking is currently in progress!
                //todo fill out teamID
                | &nbsp(Ranking session is intiated by <i>#{deploymentsInProgress[0].team}</i>)
                //todo display progress
    section
        h2 Recent deployments
        table
            tr
                th Date
                th Program
                th User
                th Actions
            each deployment in deployments
                tr
                    form
                        td= deployment.date
                        td
                            //todo make the following link point to the compile log
                            a= deployment.imageId.match(/^(?:[a-z0-9]+:)?([a-z0-9]{12})/)[1]
                            //todo show date and user on hover
                        td= deployment.user || ""
                        td
                            button(formaction='/team/deploy/' +
                            deployment.imageId formmethod='post') Redeploy
            else
                tr
                    td(colspan=4) No one deployed for this team yet
    section
        h2 Latest matches
        table
            tr
                th Date
                th Program
                th Against
                th Points got<br>(you vs opponent)
                th Actions
            for match in matches
                tr
                    form
                        td= match.date
                        td
                            //todo make the following link point somewhere
                            a= match.teams.me.imageId.match(/^(?:[a-z0-9]+:)?([a-z0-9]{12})/)[1]
                        td= match.teams.opponent.team
                        td
                            b= match.teams.me.points
                            | &nbsp;/&nbsp;
                            span= match.teams.opponent.points
                        td
                            button(formaction='/containers/' + match.containerId +
                            '/logs') View replay